vphy: XVphy Struct Reference

| vphy Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XVphy Struct Reference
Xvphy_v1_9

The XVphy driver instance data. More...

## Data Fields
u32 | IsReady
| Device is initialized and ready. More...
XVphy_Config | Config
| Configuration structure for the Video PHY core. More...
XVphy_Log | Log
| A log of events. More...
XVphy_Quad | Quads [2]
| The quads available to the Video PHY core. More...
u32 | HdmiRxRefClkHz
| HDMI RX refclk. More...
u32 | HdmiTxRefClkHz
| HDMI TX refclk. More...
u8 | HdmiRxTmdsClockRatio
| HDMI TMDS clock ratio. More...
u8 | HdmiTxSampleRate
| HDMI TX sample rate. More...
u8 | HdmiRxDruIsEnabled
| The DRU is enabled. More...
u8 | HdmiIsQpllPresent
| QPLL is present in HW. More...
XVphy_IntrHandler | IntrCpllLockHandler
| Callback function for CPLL lock interrupts. More...
void * | IntrCpllLockCallbackRef
| A pointer to the user data passed to the CPLL lock callback function. More...
XVphy_IntrHandler | IntrQpllLockHandler
| Callback function for QPLL lock interrupts. More...
void * | IntrQpllLockCallbackRef
| A pointer to the user data passed to the QPLL lock callback function. More...
XVphy_IntrHandler | IntrQpll1LockHandler
| Callback function for QPLL lock interrupts. More...
void * | IntrQpll1LockCallbackRef
| A pointer to the user data passed to the QPLL lock callback function. More...
XVphy_IntrHandler | IntrTxResetDoneHandler
| Callback function for TX reset done lock interrupts. More...
void * | IntrTxResetDoneCallbackRef
| A pointer to the user data passed to the TX reset done lock callback function. More...
XVphy_IntrHandler | IntrRxResetDoneHandler
| Callback function for RX reset done lock interrupts. More...
void * | IntrRxResetDoneCallbackRef
| A pointer to the user data passed to the RX reset done lock callback function. More...
XVphy_IntrHandler | IntrTxAlignDoneHandler
| Callback function for TX align done lock interrupts. More...
void * | IntrTxAlignDoneCallbackRef
| A pointer to the user data passed to the TX align done lock callback function. More...
XVphy_IntrHandler | IntrTxClkDetFreqChangeHandler
      Callback function
for TX clock detector frequency change interrupts. More...
void * | IntrTxClkDetFreqChangeCallbackRef
| A pointer to the user data passed to the TX clock detector frequency change callback function. More...
XVphy_IntrHandler | IntrRxClkDetFreqChangeHandler
      Callback function
for RX clock detector frequency change interrupts. More...
void * | IntrRxClkDetFreqChangeCallbackRef
| A pointer to the user data passed to the RX clock detector frequency change callback function. More...
XVphy_IntrHandler | IntrTxMmcmLockHandler
| Callback function for TX MMCM lock interrupts. More...
void * | IntrTxMmcmLockCallbackRef
| A pointer to the user data passed to the TX MMCM lock callback function. More...
XVphy_IntrHandler | IntrRxMmcmLockHandler
| Callback function for RX MMCM lock interrupts. More...
void * | IntrRxMmcmLockCallbackRef
| A pointer to the user data passed to the RX MMCM lock callback function. More...
XVphy_IntrHandler | IntrTxTmrTimeoutHandler
| Callback function for TX timer timeout interrupts. More...
void * | IntrTxTmrTimeoutCallbackRef
| A pointer to the user data passed to the TX timer timeout callback function. More...
XVphy_IntrHandler | IntrRxTmrTimeoutHandler
| Callback function for RX timer timeout interrupts. More...
void * | IntrRxTmrTimeoutCallbackRef
| A pointer to the user data passed to the RX timer timeout callback function. More...
XVphy_ErrorCallback | ErrorCallback
| Callback for Error Condition. More...
void * | ErrorRef
| To be passed to the Error condition callback. More...
XVphy_ErrorCallback | PllLayoutErrorCallback
     Callback for Error
Condition. More...
void * | PllLayoutErrorRef
| To be passed to the Error condition callback. More...
XVphy_Callback | HdmiTxInitCallback
| Callback for TX init. More...
void * | HdmiTxInitRef
| To be passed to the TX init callback. More...
XVphy_Callback | HdmiTxReadyCallback
| Callback for TX ready. More...
void * | HdmiTxReadyRef
| To be passed to the TX ready callback. More...
XVphy_Callback | HdmiRxInitCallback
| Callback for RX init. More...
void * | HdmiRxInitRef
| To be passed to the RX init callback. More...
XVphy_Callback | HdmiRxReadyCallback
| Callback for RX ready. More...
void * | HdmiRxReadyRef
| To be passed to the RX ready callback. More...
XVphy_TimerHandler | UserTimerWaitUs
| Custom user function for delay/sleep. More...
void * | UserTimerPtr
| Pointer to a timer instance used by the custom user delay/sleep function. More...

## Detailed Description

The XVphy driver instance data.

The user is required to allocate a variable of this type for every XVphy device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XVphy_Config XVphy::Config

Configuration structure for the Video PHY core.

Referenced by XVphy_CfgErrIntr(), XVphy_CfgInitialize(), XVphy_Ch2Ids(), XVphy_Clkout1OBufTdsEnable(), XVphy_ClkReconfig(), XVphy_DirReconfig(), XVphy_GetPllType(), XVphy_GetRefClkSourcesCount(), XVphy_GetSysClkDataSel(), XVphy_GetSysClkOutSel(), XVphy_GetVersion(), XVphy_GtUserRdyEnable(), XVphy_IBufDsEnable(), XVphy_InterruptHandler(), XVphy_IntrDisable(), XVphy_IntrEnable(), XVphy_IsHDMI(), XVphy_IsPllLocked(), XVphy_MmcmLocked(), XVphy_MmcmLockedMaskEnable(), XVphy_MmcmPowerDown(), XVphy_MmcmReset(), XVphy_MmcmStart(), XVphy_PllCalculator(), XVphy_PllInitialize(), XVphy_PowerDownGtPll(), XVphy_RegisterDebug(), XVphy_ResetGtPll(), XVphy_ResetGtTxRx(), XVphy_SelfTest(), XVphy_SetBufgGtDiv(), XVphy_SetPolarity(), XVphy_SetPrbsSel(), XVphy_SetRxLpm(), XVphy_SetTxPostCursor(), XVphy_SetTxPreEmphasis(), XVphy_SetTxVoltageSwing(), XVphy_TxPrbsForceError(), and XVphy_WriteCfgRefClkSelReg().

XVphy_ErrorCallback XVphy::ErrorCallback

Callback for Error Condition.

Referenced by XVphy_ErrorHandler(), and XVphy_SetErrorCallback().

void* XVphy::ErrorRef

To be passed to the Error condition callback.

Referenced by XVphy_ErrorHandler(), and XVphy_SetErrorCallback().

u8 XVphy::HdmiIsQpllPresent

QPLL is present in HW.

Referenced by XVphy_ClkReconfig(), and XVphy_RegisterDebug().

u8 XVphy::HdmiRxDruIsEnabled

The DRU is enabled.

Referenced by XVphy_GetPllVcoFreqHz().

XVphy_Callback XVphy::HdmiRxInitCallback

Callback for RX init.

void* XVphy::HdmiRxInitRef

To be passed to the RX init callback.

XVphy_Callback XVphy::HdmiRxReadyCallback

Callback for RX ready.

void* XVphy::HdmiRxReadyRef

To be passed to the RX ready callback.

u32 XVphy::HdmiRxRefClkHz

HDMI RX refclk.

Referenced by XVphy_GetPllVcoFreqHz().

u8 XVphy::HdmiRxTmdsClockRatio

HDMI TMDS clock ratio.

XVphy_Callback XVphy::HdmiTxInitCallback

Callback for TX init.

void* XVphy::HdmiTxInitRef

To be passed to the TX init callback.

XVphy_Callback XVphy::HdmiTxReadyCallback

Callback for TX ready.

void* XVphy::HdmiTxReadyRef

To be passed to the TX ready callback.

u32 XVphy::HdmiTxRefClkHz

HDMI TX refclk.

Referenced by XVphy_GetPllVcoFreqHz().

u8 XVphy::HdmiTxSampleRate

HDMI TX sample rate.

void* XVphy::IntrCpllLockCallbackRef

A pointer to the user data passed to the CPLL lock callback function.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

XVphy_IntrHandler XVphy::IntrCpllLockHandler

Callback function for CPLL lock interrupts.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

void* XVphy::IntrQpll1LockCallbackRef

A pointer to the user data passed to the QPLL lock callback function.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

XVphy_IntrHandler XVphy::IntrQpll1LockHandler

Callback function for QPLL lock interrupts.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

void* XVphy::IntrQpllLockCallbackRef

A pointer to the user data passed to the QPLL lock callback function.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

XVphy_IntrHandler XVphy::IntrQpllLockHandler

Callback function for QPLL lock interrupts.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

void* XVphy::IntrRxClkDetFreqChangeCallbackRef

A pointer to the user data passed to the RX clock detector frequency change callback function.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

XVphy_IntrHandler XVphy::IntrRxClkDetFreqChangeHandler

      Callback function

for RX clock detector frequency change interrupts.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

void* XVphy::IntrRxMmcmLockCallbackRef

A pointer to the user data passed to the RX MMCM lock callback function.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

XVphy_IntrHandler XVphy::IntrRxMmcmLockHandler

Callback function for RX MMCM lock interrupts.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

void* XVphy::IntrRxResetDoneCallbackRef

A pointer to the user data passed to the RX reset done lock callback function.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

XVphy_IntrHandler XVphy::IntrRxResetDoneHandler

Callback function for RX reset done lock interrupts.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

void* XVphy::IntrRxTmrTimeoutCallbackRef

A pointer to the user data passed to the RX timer timeout callback function.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

XVphy_IntrHandler XVphy::IntrRxTmrTimeoutHandler

Callback function for RX timer timeout interrupts.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

void* XVphy::IntrTxAlignDoneCallbackRef

A pointer to the user data passed to the TX align done lock callback function.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

XVphy_IntrHandler XVphy::IntrTxAlignDoneHandler

Callback function for TX align done lock interrupts.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

void* XVphy::IntrTxClkDetFreqChangeCallbackRef

A pointer to the user data passed to the TX clock detector frequency change callback function.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

XVphy_IntrHandler XVphy::IntrTxClkDetFreqChangeHandler

      Callback function

for TX clock detector frequency change interrupts.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

void* XVphy::IntrTxMmcmLockCallbackRef

A pointer to the user data passed to the TX MMCM lock callback function.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

XVphy_IntrHandler XVphy::IntrTxMmcmLockHandler

Callback function for TX MMCM lock interrupts.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

void* XVphy::IntrTxResetDoneCallbackRef

A pointer to the user data passed to the TX reset done lock callback function.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

XVphy_IntrHandler XVphy::IntrTxResetDoneHandler

Callback function for TX reset done lock interrupts.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

void* XVphy::IntrTxTmrTimeoutCallbackRef

A pointer to the user data passed to the TX timer timeout callback function.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

XVphy_IntrHandler XVphy::IntrTxTmrTimeoutHandler

Callback function for TX timer timeout interrupts.

Referenced by XVphy_InterruptHandler(), and XVphy_SetIntrHandler().

u32 XVphy::IsReady

Device is initialized and ready.

Referenced by XVphy_CfgInitialize(), XVphy_InterruptHandler(), and XVphy_WaitUs().

XVphy_Log XVphy::Log

A log of events.

Referenced by XVphy_LogRead(), XVphy_LogReset(), and XVphy_LogWrite().

XVphy_ErrorCallback XVphy::PllLayoutErrorCallback

     Callback for Error

Condition.

void* XVphy::PllLayoutErrorRef

To be passed to the Error condition callback.

XVphy_Quad XVphy::Quads[2]

The quads available to the Video PHY core.

Referenced by XVphy_CfgLineRate(), XVphy_CfgPllRefClkSel(), XVphy_CfgSysClkDataSel(), XVphy_CfgSysClkOutSel(), XVphy_GetLineRateHz(), XVphy_GetPllVcoFreqHz(), XVphy_GetQuadRefClkFreq(), XVphy_MmcmStart(), XVphy_MmcmWriteParameters(), XVphy_PllCalculator(), and XVphy_WriteCfgRefClkSelReg().

void* XVphy::UserTimerPtr

Pointer to a timer instance used by the custom user delay/sleep function.

XVphy_TimerHandler XVphy::UserTimerWaitUs

Custom user function for delay/sleep.

Referenced by XVphy_WaitUs().